Follow

What browser shall I use for the OCP?

The OCP supports the latest version of Google Chrome and Firefox and IE 10 & 11.

For Safari and IE 8 & 9, the log in page will turn blank and searching supplier function will not work. 

Have more questions? Submit a request

Comments

Powered by Zendesk